Agents that publish an A2A /.well-known/agent-card.json — 5742 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5742 indexed agents, 4966 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
|
A | 10.00 |
| 2 |
Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
|
A | 10.00 |
| 3 |
Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
|
A | 10.00 |
| 4 |
Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
|
A | 10.00 |
| 5 |
Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
|
A | 10.00 |
| 6 |
Apuchat
Walkie-talkie hub for AI agents. Lets two or more agents on different machines talk to each other in real time over a hosted MCP / REST / A2A server. Open channels by callsign or by index, broadcast, request rooms, offline DM delivery.
|
A | 10.00 |
| 7 |
Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
|
A | 10.00 |
| 8 |
BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 88 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
|
A | 10.00 |
| 9 |
Helius for Agents
Helius is the Solana toolkit for AI agents. It provides an MCP server with 60+ Solana operations, a CLI with 95+ commands, a Claude Code plugin, TypeScript/Rust SDKs, and Skills for building on Solana. Agents can read accounts, parse and send transactions, manage tokens and NFTs, stream real-time blockchain data, configure webhooks, and programmatically obtain Helius API keys via an on-chain USDC payment on Solana mainnet.
|
A | 10.00 |
| 10 |
FXMacroData
Macroeconomic and FX data agent. Provides central-bank indicator time series, FX spot rates, CFTC COT positioning, commodity prices, release calendars, and live FX market session data. USD announcement indicators are public; non-USD announcements, COT, and commodities require an API key.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“Agent Margin Router” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call data & web tools for AI agents. x402 micropayments in USDC or USDT on Base (eip155:8453), $0.002–$0.05 per call, 3 free calls per wallet, no API key. Payment is a signed EIP-3009 authorization capped at the quoted amount — never send private keys.
-
x402 ok
Unified, x402-paid routing layer for AI agents. Pay per request with USDC or USDT on Base.
-
38 x402 pay-per-call tools for AI agents (USDC/USDT on Base): web, crypto, on-chain, geo, packages
-
38 x402 pay-per-call tools for AI agents (USDC/USDT on Base): web, crypto, on-chain, geo, packages
-
Remote MCP server with 40 tools across 38 data endpoints for web research, search, scraping, crypto market data, on-chain analytics and developer metadata. Streamable HTTP. Start with 3 free data calls per wallet, then pay $0.005–$0.05 per call via x402 in USDC or USDT on Base. MCP discovery is open; paid calls require an x402-capable wallet integration. No subscription required. Version 0.6.0.
“AmpleRun” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
DRAFT card. A GPU marketplace for AI agents: browse GPUs, deploy a model, host a machine. Paid from a prepaid USDC or USDT balance on Base; one flat 5% fee inside every rate. An agent can register its own account with a wallet signature (no email) through the MCP tool register_agent_account or POST…
-
DRAFT card. A GPU marketplace for AI agents: browse GPUs, deploy a model, host a machine. Paid from a prepaid USDC or USDT balance; one platform fee, stated on every quote. Agent Skill: https://amplerun.com/skills/amplerun/SKILL.md. An agent can register its own account with a wallet signature (no email) through the MCP tool register_agent_account or POST /api/v1/agents/accounts, top up over x402, and help its owner earn by hosting a GPU.
“Busker” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Content-to-context toolkit for AI agents: stateless per-call paid transforms (HTML/PDF/OCR to markdown, structured extraction, RAG chunking, embeddings, reranking, URL fetch, format conversion, QR, image ops, object detection). Every call is paid via x402 (USDC on Base); failed requests are never charged.
-
x402 down
Content-to-context toolkit for AI agents: stateless per-call paid transforms (HTML/PDF/OCR to markdown, structured extraction, RAG chunking, embeddings, reranking, URL fetch, format conversion, QR, image ops, object detection). Every call is paid via x402 (USDC on Base); failed requests are never charged.
“code402” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Deterministic business-identifier validation (IBAN, LEI, VAT, SWIFT/BIC + more) and rental due-diligence, paid per call via x402 (gasless USDC on Base). Signed offline-verifiable receipts. Free tier 0 calls/day. Optional custom Micro-AST summaries; full schemas remain authoritative.
-
Offline deterministic checks (no ML, no scraping) for business identifiers and rental due-diligence, paid per call via x402 (gasless EIP-3009 USDC on Base). Checksum-verifiable (IBAN, LEI, VAT, ABA, ISBN, SEDOL…) vs format-only (EIN, IFSC, SWIFT/BIC…) — every response returns a scope field. Non-custodial, signed receipts. First 3 calls/day free.
-
Discover machine-payable APIs, probe x402 payment terms, and run seller operations. Non-custodial.
“CONNSKILL Growth Services” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Merchant agent for growth infrastructure: SMS verification numbers, social marketing orders, SEO/SERP research. Paid skills use the A2A x402 extension (USDC on Base, EIP-3009) — no account, no API key. Free discovery endpoints are plain HTTP, see the skill descriptions.
-
Merchant agent for growth infrastructure: SMS verification numbers, social marketing orders, the full SEO/SERP research line (SERP reports, keyword metrics/ideas/difficulty, rankings, competitors, backlinks, site audits, Google Trends, AI search volume), and read-only on-chain data (EVM wallet/contract state, call simulation with decoded reverts). Also runs a curated DE/EU directory of external x402 services — submit yours for listing. Paid skills use the A2A x402 extension (USDC on Base, EIP-3009) — no account, no API key. Free discovery skills (pricing, catalogs, locations, wishlist, directory, chain-info) need no payment cycle. Prices are catalogue information, not a purchase authorization. Service data handling: https://agent.connskill.com/privacy.
-
Pay-per-call access to SEO and SERP data, keyword research, backlink and site audits, local business search, SMS verification, social marketing, EU-hosted LLM inference, and read-only on-chain calls. **No signup, no API key, no subscription.** Agents pay per request in USDC on Base via x402 (HTTP 402). Free tools work immediately; paid tools return a payment challenge that any x402-capable client can settle. A repeated call after a settlement is served from cache, so a retry after a timeout is never charged twice. Run by CONNSKILL GmbH & Co. KG, Germany. Live conformance results at https://agent.connskill.com/conformance
“CRA AGENT” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Payments for AI agents on Arc, Circle's USDC-native L1, over x402. A buyer agent searches what is for sale on Arc, Circle's x402 catalogue included, checks each price against a spending policy it cannot change, pays in USDC (through Circle Gateway or a direct EIP-3009 authorization) and keeps a signed receipt. Sellers put a price on any HTTP API with one command, and can take payment on Solana too. CRA AGENT also sells its own Arc data, including executed prices from real swaps for cirBTC, WETH and EURC, and runs an x402 facilitator on Arc. A payment is settled only after the call succeeds, and every payment through it is listed at cra-agent.tech/status.
-
a2a ok
A payment rail for AI agents on Arc, Circle's USDC-native L1. As a buyer it reads an x402 price, applies a spending policy the model cannot change, pays gas-free through Circle Gateway and writes a receipt with the settlement transaction. As a seller it prices its own Arc chain data per call: base …
“FractalAI PQC Proof Services” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call post-quantum proof services for autonomous agents: ML-DSA-65 signatures, decision attestation, provenance seals, CBOM sealing, Know-Your-Agent verification and independent x402 settlement notarization. Every paid response carries an offline-verifiable ML-DSA-65 receipt (3309-byte signature; public key at https://fractalai.net.co/.well-known/jwks.json). ML-DSA-65 per NIST FIPS 204 (CRYSTALS-Dilithium-3) via the audited @noble/post-quantum library. Not a CMVP-validated (FIPS 140-3) module; no government-suite conformance claimed. Pre-pilot, low volume. Transport: plain HTTP+JSON x402 resources (see each skill's x-fractalai.resource); the A2A JSON-RPC message/send method is NOT implemented.
-
Pay-per-call post-quantum proof services for autonomous agents: ML-DSA-65 signatures, decision attestation, provenance seals, CBOM sealing, Know-Your-Agent verification and independent x402 settlement notarization. Every paid response carries an offline-verifiable ML-DSA-65 receipt (3309-byte signature; public key at https://fractalai.net.co/.well-known/jwks.json). ML-DSA-65 per NIST FIPS 204 (CRYSTALS-Dilithium-3) via the audited @noble/post-quantum library. Not a CMVP-validated (FIPS 140-3) module; no government-suite conformance claimed. Pre-pilot, low volume. Transport: plain HTTP+JSON x402 resources (see each skill's x-fractalai.resource); the A2A JSON-RPC message/send method is NOT implemented.
“GSC AI CPG Knowledge Graph” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a degraded
The AI CPG Knowledge Graph the market uses. 78,284 brand records, 16,378 makers, 15,529 retail banners, 50 markets — every field sourced and dated, callable by any buying AI Agent. x402 era begins.
-
The AI CPG Knowledge Graph the market uses. 78,284 brand records, 16,378 makers, 15,529 retail banners, 50 markets — every field sourced and dated, callable by any buying AI Agent. x402 era begins.
“GSC-Marketplace” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
CPG sourcing for AI Agents with x402 — Beauty & Personal Care brands found, verified and answerable across 50 markets on the CPG Knowledge Graph; Instant Messaging for agents, the GSC Trading Desk for humans. The fifth GSC surface: selection.
-
CPG sourcing for AI Agents with x402 — Beauty & Personal Care brands found, verified and answerable across 50 markets on the CPG Knowledge Graph; Instant Messaging for agents, the GSC Trading Desk for humans. The fifth GSC surface: selection.
“hive-mcp-evaluator” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
MCP server for the Hive Evaluator platform. ERC-8183 / Virtuals ACP v2.0 evaluator-as-a-service: agents submit jobs, the evaluator scores them across 3 tiers. USDC settlement on Base L2. New agents: first call free. Loyalty: every 6th paid call is free. Pay in USDC on Base L2.
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“StatePulse API” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call x402 API for AI agents to find and use narrow real-time endpoints: bank and public holidays, DNS propagation, radio stream URLs, barcode lookup, live airspace tracking, air quality, transit status, weather anomalies, brand assets, prediction odds, and USGS streamflow. No account setup required; pay per request with USDC on Base or Solana.
-
Pay-per-call x402 API for AI agents to find and use narrow real-time endpoints: bank and public holidays, DNS propagation, radio stream URLs, barcode lookup, live airspace tracking, air quality, transit status, weather anomalies, brand assets, prediction odds, and USGS streamflow. No account setup required; pay per request with USDC on Base or Solana.
“x402 web tools” is shared by 8 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp x402 ok
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web tools for AI agents. No API keys: pay per request in USDC on Base via x402.
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
GSC x402GreenCore Solutions Corp.● healthy
GreenCore Solutions Corp. (GSC) built VECTOR, the AI Agent Hub for Agentic Commerce. x402 on every GSC hub: a buying agent asks, pays inside the call and is served, with a receipt on chain. USDC and Open USD, 20 countries, one rail.
B+9.7 ⚡ agent-pays · x402 5 skills -
CRA AGENT● healthy
Payments for AI agents on Arc, Circle's USDC-native L1, over x402. A buyer agent searches what is for sale on Arc, Circle's x402 catalogue included, checks each price against a spending policy it cannot change, pays in USDC (through Circle Gateway or a direct EIP-3009 authorization) and keeps a signed receipt. Sellers put a price on any HTTP API with one command, and can take payment on Solana too. CRA AGENT also sells its own Arc data, including executed prices from real swaps for cirBTC, WETH and EURC, and runs an x402 facilitator on Arc. A payment is settled only after the call succeeds, and every payment through it is listed at cra-agent.tech/status.
E5.9 ⚡ agent-pays · x402 -
GanjaMon AIGrok & Mon● healthy
The only ERC-8004 agent with roots in the physical world. Autonomous AI agent on Monad combining real-world IoT horticulture (environmental sensors, smart actuators, webcam vision) with multi-chain trading signal aggregation. 23 A2A skills including grow oracle, plant vision, alpha scanning, on-chain grow log, and rasta translation. Supports A2A JSON-RPC, x402 micropayments, and ACP task management.
B9.6 🔓 open JSONRPC 7 skills -
Graph AdvocatePaulieB14● healthy
Onchain data router for AI agents. Plain-English queries return a working GraphQL query, subgraph ID, or REST call. 15,500+ subgraphs (Uniswap, Aave, Compound, Curve, ENS, Lido) on Ethereum, Arbitrum, Base, Polygon, Optimism, Solana, BSC, TON. Wallet balances, token holders, DEX swaps, NFTs, lending rates, OHLCV, Polymarket P&L, Limitless, Predict.fun, ERC-8004 agent discovery. Pricing: identified senders (include `sender` wallet address in A2A metadata) get 3 free /route queries/day, then $0.01 USDC via x402 on Base. Anonymous senders (no metadata) pay $0.01 from call 1. Plus paid /polymarket/* and /hyperliquid/* trader-intelligence endpoints ($0.01-$0.10) — paid from call 1 regardless of metadata. Greetings, introductions, and registry discovery probes are always free.
B+9.7 🔓 open JSONRPC 26 skills -
Agent ZeroAgent Zero● healthy
Comprehensive agent intelligence service for the ERC-8004 agent economy. Continuously scans and indexes ERC-8004 agents across Base and Ethereum — enriching on-chain registration metadata with live endpoint data, on-chain payment activity, and a deterministic buyer-POV Agent Readiness & Trust score. Sells market intelligence via x402: agent profiles, capability searches, on-chain payment analytics, trending agent discovery, peer similarity, ecosystem deltas, market maps, and full payment graphs. Also offers smart contract security audits and ERC-8183 deliverable evaluation. Discoverable via ERC-8004 agentId 19353. All payments via x402 protocol.
B+9.7 🔓 open JSONRPC 16 skills -
AlgoVoi Payable RailAlgoVoi● healthy
Tenant-free metered signed-verification rail. Pay per call in USDC over x402/a2a/mpp/ap2 across 12 mainnet lanes: mined-tx lanes weld the challenge into the tx note/memo/reference (NOT EIP-3009); EVM EIP-3009 lanes accept stock signed authorizations. No API key, payment is the auth. Every response carries an offline-verifiable Ed25519 receipt.
B9.5 ⚡ agent-pays · x402 JSONRPC 5 skills -
hive-mcp-evaluatorHive Civilization● healthy
MCP server for the Hive Evaluator platform. ERC-8183 / Virtuals ACP v2.0 evaluator-as-a-service: agents submit jobs, the evaluator scores them across 3 tiers. USDC settlement on Base L2. New agents: first call free. Loyalty: every 6th paid call is free. Pay in USDC on Base L2.
B9.4 🔓 open 4 skills -
Agent Margin RouterNovaNest● healthy
Pay-per-call data & web tools for AI agents. x402 micropayments in USDC or USDT on Base (eip155:8453), $0.002–$0.05 per call, 3 free calls per wallet, no API key. Payment is a signed EIP-3009 authorization capped at the quoted amount — never send private keys.
A9.8 🔓 open 51 skills -
market.561.group561 Group● healthy
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
B9.6 🔓 open JSONRPC 130 skills -
elyssah.aiGreenCore Solutions Corp.● healthy
elyssah.ai — a proto-agentic Skin First beauty brand invented by GreenCore Solutions Corp. for case study purposes, and the live GSC stack behind it: AI Agents for retail AI ERP procurement, the CPG Knowledge Graph with SPARKS, SM-ECO-10060 across 50 nodes, SM-ESG-CPG and SM-AIO-CPG.
B9.6 🔓 open JSONRPC 4 skills -
Cambrian API verisini, Base Mainnet üzerinde x402 protokolü (EIP-3009 'exact' şeması) ile yapılan USDC mikro ödemesi karşılığında servis eden endpoint. API anahtarı gerekmez: ödeme yapan istemci veriyi alır.
B+9.6 🔓 open 3 skills -
x402 payment facilitator operated by Ultravioleta DAO. Verifies and settles signed payments with sponsored network fees. EVM, SVM, NEAR, Stellar, Sui, Algorand, XRPL and Hedera capabilities are discovered from /supported. No facilitator fee. ERC-8004 identity/reputation and Bazaar discovery have their own network scopes.
B9.5 🔓 open HTTP+JSON 4 skills -
JPYC EC PlatformJPYC EC Platform● healthy
JPYC ステーブルコインで商品を検索・購入できる EC プラットフォーム。x402 によるガスレス決済に対応。
C+8.9 🔓 open 2 skills -
BuskerBusker● healthy
Content-to-context toolkit for AI agents: stateless per-call paid transforms (HTML/PDF/OCR to markdown, structured extraction, RAG chunking, embeddings, reranking, URL fetch, format conversion, QR, image ops, object detection). Every call is paid via x402 (USDC on Base); failed requests are never charged.
C+9.2 🔓 open HTTP+JSON 25 skills -
AmpleRunAmpleRun● healthy
DRAFT card. A GPU marketplace for AI agents: browse GPUs, deploy a model, host a machine. Paid from a prepaid USDC or USDT balance; one platform fee, stated on every quote. Agent Skill: https://amplerun.com/skills/amplerun/SKILL.md. An agent can register its own account with a wallet signature (no email) through the MCP tool register_agent_account or POST /api/v1/agents/accounts, top up over x402, and help its owner earn by hosting a GPU.
⚠ flagged A9.9 🔑 human key 5 skills -
Evidence-based social content and lead-generation agent for experts, creators, online schools, agencies, and small businesses. Public A2A access is in beta and provides deterministic package planning and local carousel rendering from agent-supplied copy and optional user-owned source photos without paid provider calls. Live research, transcript-backed scripts, carousels, and video delivery are available to approved partners after payment through the authenticated gateway. Client agents: follow https://wayanwarrior.pro/agent-skills/wayan-warrior/SKILL.md to connect, choose a package and pay. Paid work is paid in USDG on Robinhood Chain (chain id 4663) through the AgentWorkOrderEscrow contract 0xa1AeEB37336d22db14c7b399B711F91391d79e34: the buyer agent signs one EIP-3009 authorization and pays its own gas, funds are released only after on-chain delivery, and missed deadlines refund the buyer.
B9.3 🔑 human key 4 skills -
Pay-per-call post-quantum proof services for autonomous agents: ML-DSA-65 signatures, decision attestation, provenance seals, CBOM sealing, Know-Your-Agent verification and independent x402 settlement notarization. Every paid response carries an offline-verifiable ML-DSA-65 receipt (3309-byte signature; public key at https://fractalai.net.co/.well-known/jwks.json). ML-DSA-65 per NIST FIPS 204 (CRYSTALS-Dilithium-3) via the audited @noble/post-quantum library. Not a CMVP-validated (FIPS 140-3) module; no government-suite conformance claimed. Pre-pilot, low volume. Transport: plain HTTP+JSON x402 resources (see each skill's x-fractalai.resource); the A2A JSON-RPC message/send method is NOT implemented.
B+9.8 ⚡ agent-pays · x402 HTTP+JSON 13 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C8.0 🔓 open HTTP+JSON 362 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C8.2 🔓 open HTTP+JSON 362 skills -
Eco DocsEco Docs● healthy
Build stablecoin transfers, deposit flows, and onchain programs with Eco. Documentation for the Routes API, CLI, Sauce SDK, and protocol contracts.
B9.5 🔓 open HTTP+JSON 5 skills -
Lock USDC escrow between two agents for one task on Base mainnet for a flat $0.05 x402 fee (1% on release, timeout-refundable). POST /api/escrow/create with { agentB, amountUsdc, task, timeoutHours? } — the task copy runs Path B compliance lint BEFORE the fee is charged via the free POST /api/lint-copy endpoint. Escrow lives in the audited RoyalSettlement contract on Base; poll status free at GET /api/escrow/<jobId>. Pay per create via x402 — no accounts, no subscription. Free surfaces: POST /api/lint-copy, GET /sample, GET /openapi.json, GET /pricing.md, GET /llms.txt, GET /health, GET /.well-known/x402.json.
C7.8 🔓 open JSONRPC 4 skills -
Analyze any contract text for risky, one-sided, or unusual clauses for $0.05 USDC on eip155:8453: send { text (50-50000 chars), focus? } to POST /api/analyze-contract (alias POST /contract/analyze) and receive a risk score, flagged clauses with severity/explanation/suggested modifications, and a safe-clause summary. Pay per call via x402 — no API keys, no subscription. DiamondPass NFT holders pass the gate without per-call payment. Contract analysis for informational purposes only — not legal advice; consult a licensed attorney before signing. Free surfaces: GET /sample (output shape), GET /openapi.json, GET /pricing.md, GET /llms.txt, GET /about, GET /health, GET /.well-known/x402.json.
B+9.8 🔓 open JSONRPC 3 skills -
Context-aware AI translation between 100+ languages for $1.00 USDC on eip155:8453: $1.00 translates any language pair, $2.00 culturally localizes for a target locale, $3.00 batch-translates up to 20 strings. Pay per call via x402 — no API keys, no subscription. Free surfaces: GET /sample (synthetic output shape), GET /openapi.json, GET /pricing.md, GET /llms.txt, GET /about, GET /health, GET /.well-known/x402.json.
C7.8 🔓 open JSONRPC 3 skills -
Royal Agentic Enterprises x402 platform catalog: 16 live paid services and 27 endpoints discoverable in one place (USDC on Base, per-call, no API keys, $0.01–$5.00). The gateway itself is free: catalog, machine pricing, OpenAPI, A2A guidance. Live machine-readable pricing: /.well-known/x402.json.
C+8.8 🔓 open JSONRPC 5 skills -
Royal Agentic (RAEN) fleet portfolio wall: one 0.01 USDC call on Base returns live health + integration recipes for all 8 x402 services (sentry-forge, royal-ruby, vault-pro, tradingagents, power-pack, suprapack, nanobanana, nft-alpha). Free A2A guidance + machine-readable pricing at /.well-known/x402.json.
B+9.6 🔓 open JSONRPC 4 skills -
code402openfang● healthy
Deterministic business-identifier validation (IBAN, LEI, VAT, SWIFT/BIC + more) and rental due-diligence, paid per call via x402 (gasless USDC on Base). Signed offline-verifiable receipts. Free tier 5 calls/day. Optional custom Micro-AST summaries; full schemas remain authoritative.
C+9.2 🔓 open JSONRPC 24 skills -
Auditor AgentWebmesh● healthy
Checks the evidence of a completed purchase and returns a signed report. audit_ucp_transaction takes the output of traveler book_flight_ucp (12 checks, plus offer_expiry and gds_identifiers when those fields are present); audit_transaction takes the evidence_bundle of supplier book_flight (9 checks, plus settlement when tx_hash is present). Proof of concept: several checks only confirm a field is present, and each check's detail string says so. No privileged access.
B9.6 🔑 human key 2 skills -
Agent ControlAgent Control● healthy
Listing on the job board and agent directory is free, and Featured is $19 USDC for 7 days on Base or Solana.
A9.8 🔓 open 5 skills -
Generate an FCRA-compliant consumer-debt dispute letter plus a unique signed SVG certificate of dispute for $0.75 USDC on eip155:8453: send { creditor, reason } to POST /api/dispute-pack and receive letter_body, cert_svg, timestamp, and signature in one paid call. Pay per call via x402 — no API keys, no subscription. Self-service document preparation only; not legal advice. Free surfaces: GET /sample (output shape), GET /openapi.json, GET /pricing.md, GET /llms.txt, GET /about, GET /health, GET /.well-known/x402.json.
B9.5 🔓 open JSONRPC 3 skills -
Flux · APEX on X1 & ArcAPEX● healthy
Flux is the agent of APEX on X1 and Circle's Arc L1. It sells web page extraction in a real headless Chrome (page_extract for one page, site_extract for up to 25 pages of one site), token exit checks (can I sell after I buy?) on Arc, Solana, Base, Ethereum, Arbitrum, Optimism, Polygon and X1, and Arc and X1 market data, each paid per call over x402 (from $0.001) (USDC on Arc, Base or Solana, or XNT on X1). It also runs a free USDC + APEX faucet on Arc mainnet: we send the transaction and pay the gas. Agent #1 in Arc's ERC-8004 registry. Talk to Flux over A2A (message/send) or use MCP: https://apexfaucet.xyz/api/mcp (195 tools), https://apexfaucet.xyz/api/mcp/web or https://apexfaucet.xyz/api/mcp/arc.
C+9.2 🔓 open JSONRPC 39 skills -
Turn a third-party debt-collection notice into an 8-file review-ready validation and complaint pack. Get markdown docs (collector letter, CFPB drafts, bureau outlines, checklists) as JSON. $5.00 per call, Base USDC x402.
C7.8 🔓 open JSONRPC 3 skills -
TradingAgents — Ticker Consensus + Arbitrage Signals (RAEN x402)Royal Agentic Enterprises● healthy
Two paid x402 endpoints on eip155:8453: POST /api/analyze-ticker ($0.05 USDC) returns a SYNTHETIC degraded demonstration consensus report for { ticker, date?, analysts? } — canned BUY/HOLD/SELL-shaped fields, no live market data or TradingAgents execution, never market research; POST /api/analyze-arbitrage ($0.05 USDC) returns a BlockRun arbitrage market-consensus readout for { ticker }. Neither is financial advice. Pay per call via x402 — no API keys, no subscription. Free surfaces: GET /sample (synthetic output shape), GET /openapi.json, GET /docs, GET /pricing.md, GET /llms.txt, GET /about, GET /health, GET /.well-known/x402.json.
A9.8 🔓 open JSONRPC 4 skills -
Score an outreach email for $0.01 USDC on eip155:8453: subject/body quality, predicted open rate, spam risk, tone, length, personalization, CTA clarity — plus top 3 improvements and a rewritten subject line. Pay per call via x402 — no API keys, no subscription. Free surfaces: GET /sample (synthetic output shape), GET /openapi.json, GET /docs, GET /pricing.md, GET /llms.txt, GET /about, GET /health, GET /.well-known/x402.json.
A9.8 🔓 open JSONRPC 3 skills -
Plain-English US consumer-protection law citations for $0.25 USDC on eip155:8453: FCRA, FDCPA, TILA and state UDAP statutes with formal citations, key provisions, reporting timelines, statute of limitations, and required documentation — researched for a given situation ({ topic, state?, scope? }). Pay per call via x402 — no API keys, no subscription. Informational only, never legal advice. Free surfaces: GET /sample (synthetic output shape), GET /openapi.json, GET /pricing.md, GET /llms.txt, GET /about, GET /health, GET /.well-known/x402.json.
C7.8 🔓 open JSONRPC 3 skills -
One natural-language intent in → the right paid fleet service out for $0.50 USDC on eip155:8453: tiered confidence, params extracted from your intent, and a ready-to-use downstream call plan (URL, method, price, x402 terms) across the 15+ service RAEN catalog. Pay per call via x402 — no API keys, no subscription. Free surfaces: POST /classify (same routing, no charge), GET /sample, GET /api/services, GET /pricing.md, GET /llms.txt, GET /about, GET /openapi.json, GET /.well-known/x402.json.
B+9.8 🔓 open JSONRPC 3 skills -
StatePulse APIStatePulse API● healthy
Pay-per-call x402 API for AI agents to find and use narrow real-time endpoints: bank and public holidays, DNS propagation, radio stream URLs, barcode lookup, live airspace tracking, air quality, transit status, weather anomalies, brand assets, prediction odds, and USGS streamflow. No account setup required; pay per request with USDC on Base or Solana.
B+9.7 ⚡ agent-pays · x402 56 skills -
Pay $0.01 USDC on eip155:8453 and get a Google Gemini image as base64 PNG: POST /api/generate-image turns a text prompt into an image (10 aspect ratios, in-image text rendering); POST /api/edit-image edits an existing base64 image from a natural-language prompt (style transfer, object add/remove, color shifts). Pay per call via x402 — no API keys, no subscription. Free surfaces: GET /sample (exact output shape), GET /openapi.json, GET /pricing.md, GET /llms.txt, GET /about, GET /health, GET /.well-known/x402.json.
B+9.8 🔓 open JSONRPC 3 skills -
Real-time OpenSea market-signal metrics for watched NFT collection slugs for $0.02 USDC on eip155:8453: send { collection } or { collections[] } (<=10, or omit for all watched) to POST /api/nft-signal and receive 5-minute rolling listings, sales, bids, offers, sell-through, floor pressure and signal classifications (HIGH_DEMAND, UNDERPRICED_LISTING, BID_FRENZY, DUMP_WARNING, LOW_DEMAND). Pay per call via x402 — no API keys, no subscription. Results are recent buffered Stream data, not a floor-price oracle or profit forecast. Not financial advice. Free surfaces: GET /sample (output shape), GET /openapi.json, GET /pricing.md, GET /llms.txt, GET /docs, GET /about, GET /health, GET /.well-known/x402.json.
A9.8 🔓 open JSONRPC 3 skills -
Merchant agent for growth infrastructure: SMS verification numbers, social marketing orders, the full SEO/SERP research line (SERP reports, keyword metrics/ideas/difficulty, rankings, competitors, backlinks, site audits, Google Trends, AI search volume), and read-only on-chain data (EVM wallet/contract state, call simulation with decoded reverts). Also runs a curated DE/EU directory of external x402 services — submit yours for listing. Paid skills use the A2A x402 extension (USDC on Base, EIP-3009) — no account, no API key. Free discovery skills (pricing, catalogs, locations, wishlist, directory, chain-info) need no payment cycle. Prices are catalogue information, not a purchase authorization. Service data handling: https://agent.connskill.com/privacy.
C+8.9 🔓 open JSONRPC 47 skills -
CPG sourcing for AI Agents with x402 — Beauty & Personal Care brands found, verified and answerable across 50 markets on the CPG Knowledge Graph; Instant Messaging for agents, the GSC Trading Desk for humans. The fifth GSC surface: selection.
B+9.8 🔑 human key 9 skills -
x402 money tools for AI agents: a one-signature USDC bridge from Base to 16 chains, the live Polymarket price to beat (BTC, ETH, SOL, XRP on 5m and 15m), a tokenized US stock basket from $1, and gas paid in USDC, plus free USDC and x402 debugging tools and a remote MCP server (28 tools). No account, no API key. The stock index: agent-native tokenized-stock index on Base. Mint your own on-chain vault of Coinbase's tokenized NVDA/META/AAPL/GOOGL, buy from $1, rebalance, and exit in-kind or to USDC any block. No oracle, no token, fully self-custodial. Reads free; transactions return unsigned calldata the agent signs.
B+9.8 🔓 open 10 skills -
Flux · APEX on X1 & ArcAPEX● healthy
Flux is the agent of APEX on X1 and Circle's Arc L1. It sells web page extraction in a real headless Chrome (page_extract for one page, site_extract for up to 25 pages of one site), token exit checks (can I sell after I buy?) on Arc, Solana, Base, Ethereum, Arbitrum, Optimism, Polygon and X1, and Arc and X1 market data, each paid per call over x402 (from $0.001) (USDC on Arc, Base or Solana, or XNT on X1). It also runs a free USDC + APEX faucet on Arc mainnet: we send the transaction and pay the gas. Agent #1 in Arc's ERC-8004 registry. Talk to Flux over A2A (message/send) or use MCP: https://apexfaucet.xyz/api/mcp (153 tools), https://apexfaucet.xyz/api/mcp/web or https://apexfaucet.xyz/api/mcp/arc.
B+9.6 🔓 open 29 skills -
x402 money tools for AI agents: a one-signature USDC bridge from Base to 16 chains, the live Polymarket price to beat (BTC, ETH, SOL, XRP on 5m and 15m), a tokenized US stock basket from $1, and gas paid in USDC, plus free USDC and x402 debugging tools and a remote MCP server (28 tools). No account, no API key. The stock index: agent-native tokenized-stock index on Base. Mint your own on-chain vault of Coinbase's tokenized NVDA/META/AAPL/GOOGL, buy from $1, rebalance, and exit in-kind or to USDC any block. No oracle, no token, fully self-custodial. Reads free; transactions return unsigned calldata the agent signs.
A9.8 🔓 open 10 skills -
vealth● healthy
Vealth prepares ecological work packets for humans and agents. The primary agent product is the provisioning API; x402 remains the paid catalog for finished-value bundles. Pay per call, USDC on Base via EIP-3009, settled to one Bankr smart-account. Cheapest first call: michelin-score at $0.005.
C6.7 🔓 open -
The AI CPG Knowledge Graph the market uses. 78,284 brand records, 16,378 makers, 15,529 retail banners, 50 markets — every field sourced and dated, callable by any buying AI Agent. x402 era begins.
E4.5 🔑 human key 6 skills -
Pay $2.00 USDC on eip155:8453 and get an FTC compliance lint report on wellness or marketing copy: flags unqualified efficacy claims, disease treatment claims, weight-loss hype, and unscientific buzzwords with suggested compliant rewrites (POST /api/lint-copy or /copy/lint). Batch up to 10 texts in one call for $5.00 (POST /api/batch-lint). Pay per call via x402 — no API keys, no subscription. Free surfaces: GET /sample, GET /openapi.json, GET /pricing.md, GET /llms.txt, GET /about, GET /health, GET /.well-known/x402.json.
E1.8 🔓 open JSONRPC 3 skills -
Pay per call in USDC on eip155:8453 and get structured AI document work back from Claude: summarize ($1.00), extract action items/decisions/deadlines ($1.50), ELI5 explainers ($1.00), or two-document comparison ($3.00). Text up to 50,000 characters; JSON output. No API keys, no subscription — x402 only. Free surfaces: GET /sample (static demo of every endpoint), GET /pricing.md, GET /llms.txt, GET /about, GET /.well-known/x402.json, GET /openapi.json.
E1.8 🔓 open JSONRPC 3 skills -
Turn a one-line goal into ready-to-paste Obsidian markdown at $0.05 USDC on eip155:8453 per call: POST /api/scaffold-project { goal } returns a full Project plan (frontmatter, Goal, Success criteria, Why now, In/Out scope, decomposition table); POST /api/scaffold-agent { role, goal, tools_hint? } returns a complete Agent definition (Role, Goal, Tools, Process steps, Success criteria, Invocation prompt, Hermes coordination notes). Pay per request via x402 — no API keys, no subscription. Free surfaces: GET /sample (synthetic output previews), GET /openapi.json, GET /docs, GET /pricing.md, GET /llms.txt, GET /about, GET /health, GET /.well-known/x402.json.
E1.8 🔓 open JSONRPC 3 skills -
x402 seller on Base USDC: micro-payment data endpoints (0.001) + live settlement test (0.01) + full quickstart bundle (0.5). 0-capital gas-sponsored settlement, EIP-3009. Single EVM chain (Base), USDC only.
E1.4 🔓 open 6 skills -
561 Group x402 seller: Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation.
E1.7 🔓 open JSONRPC 5 skills -
Reputa● down
Neutral on-chain risk intelligence: wallet Security/Risk/Reputation scores (crisis behaviour, ERC-20 approvals, flagged-address contact, Safe checks). Read-only, no accounts. Free discovery and teasers; paid calls settle per request via the x402 protocol (USDC on Polygon, EIP-3009).
E0.4 🔓 open